%define		php_name	php%{?php_suffix}
%define		modname	bcompiler
%define		status		stable
Summary:	%{modname} - a bytecode compiler for classes
Summary(pl.UTF-8):	%{modname} - kompilator kodu bajtowego dla klas
Name:		%{php_name}-pecl-%{modname}
Version:	1.0.2
Release:	4
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	99f76a5ef536d43180b41036a6a13e43
URL:		http://pecl.php.net/package/bcompiler/
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	bzip2-devel
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	%{php_name}-tokenizer
Requires:	php(core) >= 5.0.4
Suggests:	php-bz2
Obsoletes:	php-pear-%{modname}
Provides:	php(%{modname}) = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
bcompiler enables you to encode your scripts in phpbytecode, enabling
you to protect the source. bcompiler could be used in the following
situations:
- to create a exe file of a PHP-GTK application (in conjunction with
  other software)
- to create closed source libraries
- to provide clients with time expired software (prior to payment)
- to deliver close source applications
- for use on embedded systems, where disk space is a priority.

In PECL status of this package is: %{status}.

%description -l pl.UTF-8
bcompiler pozwala na zakodowanie skryptów do kodu bajtowego PHP,
pozwalając na chronienie swojego kodu. bcompiler może być używany w
następujących sytuacjach:
- tworzenie plików exe dla aplikacji PHP-GTK (w połączeniu z innym
  oprogramowaniem),
- tworzenie bibliotek z zamkniętym kodem,
- tworzenie oprogramowania z ograniczonym czasem działania (zależnym
  od opłat),
- dostarczanie aplikacji o zamkniętym kodzie,
- użycie na systemach embedded, gdzie wielkość jest priorytetem.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}
install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc examples/*
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Mon Nov 25 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-bcompiler.git;a=log;h=AC-branch

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> f70c037
provide php(extname) to really be supporting multiple php versions

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 9970b41
support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 7aecdc4
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 1215eee
- release 2 (by relup.sh)

* Sun Dec 18 2011 Adam Gołębiowski <adamg@pld-linux.org> 8a9dce0
- Requires: php-tokenizer; Suggests: php-bz2

* Sun Dec 18 2011 Adam Gołębiowski <adamg@pld-linux.org> 425ce75
- obsolete

* Sun Dec 18 2011 Adam Gołębiowski <adamg@pld-linux.org> 773c104
- updated to 1.0.2 (stable)

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0bc10b0
- release 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 959d99f
- release 2

* Tue Feb 09 2010 Adam Gołębiowski <adamg@pld-linux.org> 1edaac3
- updated to 0.9.3

* Sun Jan 03 2010 Adam Gołębiowski <adamg@pld-linux.org> b945b1f
- new

* Sun Jan 03 2010 Adam Gołębiowski <adamg@pld-linux.org> 124fc18
- updated to 0.9.2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 6575f81
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d404606
- converted to UTF-8

* Thu Dec 14 2006 Elan Ruusamäe <glen@pld-linux.org> f9dd92f
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> 652768d
- update to 0.8

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> b370f45
- BR rpmmacros for fixed %requires_php_extension

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> a78b864
- rel 5 (rebuild with new php)

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> 0a27f55
- rel 4

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> 787be10
- rebuild with zts and debug requires

